import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';

import { DiscoveryStartInfo } from '../model';

@Injectable()
export class DiscoveryService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public start(dsInfo: DiscoveryStartInfo): Observable<DiscoveryStartInfo> {
    // const body = {
    //   signinId: email,
    //   signinPw: password,
    // };

    return this.rpcClient.call('DiscoveryService.start', dsInfo);
  }

//   public signup(member: DiscoveryStartInfo): Observable<DiscoveryStartInfo> {
//     return this.restService.post('/account/signup', member);
//   }
}
