import {
    createSelector,
    createFeatureSelector,
    ActionReducerMap,
  } from '@ngrx/store';

  import { MODULE } from '../infra.constant';

  import * as ReadByDomainStore from './readbydomain';


  export interface State {
    readbydomain: ReadByDomainStore.State;
  }

  export const REDUCERS = {
    readbydomain: ReadByDomainStore.reducer,
  };

  export const EFFECTS = [
    ReadByDomainStore.Effects,
  ];

  export const selectInfraState = createFeatureSelector<State>(MODULE.name);

  export const selectInfraReadByDomainState = createSelector(
    selectInfraState,
    (state: State) => state.readbydomain
  );

  export const AuthSelector = new ReadByDomainStore.StateSelector(selectInfraReadByDomainState);


  export const selectInfraReadByDomianState = createSelector(
    selectInfraState,
    (state: State) => state.readbydomain
  );
