import { RPCError } from 'packages/core/rpc/error';

import { MetaCrawler } from '../../model';

export interface State {
  error: RPCError | null;
  pending: boolean;
  metaCrawlerList: MetaCrawler[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  metaCrawlerList: null,
};
