import { InjectionToken } from '@angular/core';

import { Observable } from 'rxjs/Observable';

export abstract class RPCClientRWC {
  public abstract connect(queryString?: string): void;
  public abstract readResponse(): Observable<Object>;
  public abstract writeRequest(data: any): void;
  public abstract disconnect(): void;
  public abstract connectionStatus(): Observable<boolean>;
}
