import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MaterialModule } from 'app/commons/ui/material/material.module';

import { InfraStoreModule } from './infra-store.module';

import { COMPONENTS } from './component';
import { SERVICES } from './service';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    InfraStoreModule
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
    SERVICES
  ],
})
export class InfraModule { }
